# Interface LambdaExpressionTree

All Superinterfaces:
  `ExpressionTree`, `Tree`

public interface LambdaExpressionTree extends ExpressionTree
A tree node for a lambda expression. For example:

       ()->{}
       (List<String> ls)->ls.size()
       (x,y)-> { return x + y; }

Since:
  1.8

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static enum`
`LambdaExpressionTree.BodyKind`
Lambda expressions come in two forms: expression lambdas, whose body is an expression, and statement lambdas, whose body is a block

### Nested classes/interfaces declared in interface com.sun.source.tree.Tree

`Tree.Kind`

## Method Summary

Modifier and Type
Method
Description
`Tree`
`getBody()`
Returns the body of the lambda expression.
`LambdaExpressionTree.BodyKind`
`getBodyKind()`
Returns the kind of the body of the lambda expression.
`List<? extends VariableTree>`
`getParameters()`
Returns the parameters of this lambda expression.

### Methods declared in interface com.sun.source.tree.Tree

`accept, getKind`

## Method Details

### getParameters

List<? extends VariableTree> getParameters()
Returns the parameters of this lambda expression.

Returns:
  the parameters

### getBody

Tree getBody()
Returns the body of the lambda expression.

Returns:
  the body

### getBodyKind

LambdaExpressionTree.BodyKind getBodyKind()
Returns the kind of the body of the lambda expression.

Returns:
  the kind of the body